# This type provides the 'vcsdeployinfo' type
# The type will deploy files on a server directly from a version control system such as svn.
#
# Version 0.1
# Dave McCormick
#
#  Copyright 2012 David McCormick
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
# 
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

Puppet::Type.newtype(:vcsdeployinfo) do
  @doc = "Communicates versions of files being deployed via vcsdeploy back to the clients"

  # Allow to be ensurable
  ensurable

  newparam(:path) do
    desc "Where to deploy to"
    isnamevar
    isrequired
  end

  newparam(:source) do
    desc "Source Address"
    isrequired
  end

  # version is a property as we expect this to 
  # change independently to create and destroy
  newproperty(:version) do
    desc "The version of the files deployed"
    isrequired
  end
end

